Fedora/How To/Install NetBeans IDE/YUM

Fedora - How_To - How to install the NetBeans IDE via the Yellowdog Updater, Modified (YUM) on Fedora?


Prerequisites

  • Fedora 10 or later.
  • Repository/repositories (AKA “yum repositories”) with the NetBeans software sources is accessible, e.g. via the Internet.
    Since Fedora 10 a main repository of the Fedora contains the packages (RPMs) of a version of the NetBeans software, and this repository is enabled by default after installation of the Fedora.

Actions

  • Type the following commands in the terminal:
    $ su -
    # yum install netbeans

You will see output like this:

Loaded plugins: presto, refresh-packagekit
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package netbeans.noarch 0:6.7.1-1.fc12 set to be updated
--> Processing Dependency: netbeans-apisupport1 >= 6.7.1 for package: netbeans-6.7.1-1.fc12.noarch
--> Processing Dependency: netbeans-java2 >= 6.7.1 for package: netbeans-6.7.1-1.fc12.noarch
--> Processing Dependency: netbeans-ide11 >= 6.7.1 for package: netbeans-6.7.1-1.fc12.noarch
--> Processing Dependency: netbeans-platform >= 6.7.1 for package: netbeans-6.7.1-1.fc12.noarch
--> Processing Dependency: netbeans-platform-harness >= 6.7.1 for package: netbeans-6.7.1-1.fc12.noarch
--> Running transaction check
---> Package netbeans-apisupport1.noarch 0:6.7.1-1.fc12 set to be updated
---> Package netbeans-ide11.noarch 0:6.7.1-1.fc12 set to be updated
---> Package netbeans-java2.noarch 0:6.7.1-1.fc12 set to be updated
---> Package netbeans-platform.noarch 0:6.7.1-2.fc12 set to be updated
---> Package netbeans-platform-harness.noarch 0:6.7.1-2.fc12 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                        Arch        Version           Repository   Size
================================================================================
Installing:
 netbeans                       noarch      6.7.1-1.fc12      fedora      860 k
Installing for dependencies:
 netbeans-apisupport1           noarch      6.7.1-1.fc12      fedora      655 k
 netbeans-ide11                 noarch      6.7.1-1.fc12      fedora      5.4 M
 netbeans-java2                 noarch      6.7.1-1.fc12      fedora      4.2 M
 netbeans-platform              noarch      6.7.1-2.fc12      fedora      2.8 M
 netbeans-platform-harness      noarch      6.7.1-2.fc12      fedora      279 k

Transaction Summary
================================================================================
Install       6 Package(s)
Upgrade       0 Package(s)

Total size: 14 M
Total download size: 11 M
Is this ok [y/N]:
  • Type "y" if you agree download and install listed packages.
    Is this ok [y/N]: y
    

Then you will see output like this:

      
Downloading Packages:
Setting up and reading Presto delta metadata
Processing delta metadata
Package(s) data still to download: 11 M
(1/5): netbeans-6.7.1-1.fc12.noarch.rpm                  | 860 kB     00:01     
(2/5): netbeans-apisupport1-6.7.1-1.fc12.noarch.rpm      | 655 kB     00:00     
(3/5): netbeans-ide11-6.7.1-1.fc12.noarch.rpm            | 5.4 MB     00:09     
(4/5): netbeans-java2-6.7.1-1.fc12.noarch.rpm            | 4.2 MB     00:07     
(5/5): netbeans-platform-harness-6.7.1-2.fc12.noarch.rpm | 279 kB     00:00     
--------------------------------------------------------------------------------
Total                                           568 kB/s |  11 MB     00:20     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
Warning: RPMDB has been altered since the last yum transaction.
  Installing     : netbeans-platform-6.7.1-2.fc12.noarch                    1/6 
  Installing     : netbeans-ide11-6.7.1-1.fc12.noarch                       2/6 
  Installing     : netbeans-java2-6.7.1-1.fc12.noarch                       3/6 
  Installing     : netbeans-platform-harness-6.7.1-2.fc12.noarch            4/6 
  Installing     : netbeans-apisupport1-6.7.1-1.fc12.noarch                 5/6 
  Installing     : netbeans-6.7.1-1.fc12.noarch                             6/6 

Installed:
  netbeans.noarch 0:6.7.1-1.fc12                                                

Dependency Installed:
  netbeans-apisupport1.noarch 0:6.7.1-1.fc12                                    
  netbeans-ide11.noarch 0:6.7.1-1.fc12                                          
  netbeans-java2.noarch 0:6.7.1-1.fc12                                          
  netbeans-platform.noarch 0:6.7.1-2.fc12                                       
  netbeans-platform-harness.noarch 0:6.7.1-2.fc12                               

Complete!

That's all. Enjoy!

Not logged in. Log in, Register

By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo